libnvme(2)

NAME
enum nvme_feat_nswpcfg_state - Write Protection - Write Protection State

SYNOPSIS
enum nvme_feat_nswpcfg_state {
NVME_FEAT_NS_NO_WRITE_PROTECT ,
NVME_FEAT_NS_WRITE_PROTECT ,
NVME_FEAT_NS_WRITE_PROTECT_PWR_CYCLE ,
NVME_FEAT_NS_WRITE_PROTECT_PERMANENT

};

Constants

NVME_FEAT_NS_NO_WRITE_PROTECT
    No Write Protect

NVME_FEAT_NS_WRITE_PROTECT
    Write Protect

NVME_FEAT_NS_WRITE_PROTECT_PWR_CYCLE
    Write Protect Until Power Cycle

NVME_FEAT_NS_WRITE_PROTECT_PERMANENT
    Permanent Write Protect